### Function

# Foundry Context discover

#### Declaration [src]

    DexFuture*
    foundry_context_discover (
      const char* path,
      DexCancellable* cancellable
    )

#### Description [src]

Attempts to locate the nearest .foundry directory starting from `path`.

#### Parameters

`path`

  Type: `const char*`

  The starting path.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `DexCancellable`

  An optional cancellable.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a path in the file system encoding.

The caller of the function takes ownership of the data, and is responsible for freeing it.